org.springframework.messaging.simp.stomp

## Enum StompCommand

- java.lang.Object
- - java.lang.Enum<StompCommand>
  - - org.springframework.messaging.simp.stomp.StompCommand

- All Implemented Interfaces:
    Serializable, Comparable<StompCommand>

      public enum StompCommand
      extends Enum<StompCommand>

  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT`
    `ACK`
    `BEGIN`
    `COMMIT`
    `CONNECT`
    `CONNECTED`
    `DISCONNECT`
    `ERROR`
    `MESSAGE`
    `NACK`
    `RECEIPT`
    `SEND`
    `STOMP`
    `SUBSCRIBE`
    `UNSUBSCRIBE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpMessageType` | `getMessageType()`
    `boolean` | `isBodyAllowed()`
    `boolean` | `requiresDestination()`
    `boolean` | `requiresSubscriptionId()`
    `static StompCommand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StompCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECT

          public static final StompCommand CONNECT

    - #### STOMP

          public static final StompCommand STOMP

    - #### SEND

          public static final StompCommand SEND

    - #### SUBSCRIBE

          public static final StompCommand SUBSCRIBE

    - #### UNSUBSCRIBE

          public static final StompCommand UNSUBSCRIBE

    - #### ACK

          public static final StompCommand ACK

    - #### NACK

          public static final StompCommand NACK

    - #### BEGIN

          public static final StompCommand BEGIN

    - #### COMMIT

          public static final StompCommand COMMIT

    - #### ABORT

          public static final StompCommand ABORT

    - #### DISCONNECT

          public static final StompCommand DISCONNECT

    - #### CONNECTED

          public static final StompCommand CONNECTED

    - #### MESSAGE

          public static final StompCommand MESSAGE

    - #### RECEIPT

          public static final StompCommand RECEIPT

    - #### ERROR

          public static final StompCommand ERROR

  - ### Method Detail

    - #### values

          public static StompCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StompCommand c : StompCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StompCommand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMessageType

          public SimpMessageType getMessageType()

    - #### requiresDestination

          public boolean requiresDestination()

    - #### requiresSubscriptionId

          public boolean requiresSubscriptionId()

    - #### isBodyAllowed

          public boolean isBodyAllowed()